Subject: [ntpwg] Note on rfc1305 mode 6 messages

From: "Ulrich Windl" <[email-masked]>
Date: Wed, 30 Oct 2013 08:37:46 +0100

Hi!

I guess it's the wrong forum, but I discovered some bad specification in RFC1305 (or in the current ntpd):
The appendix on mode 6 control messages refers to "00" where in normal packets there is the "LI" (leap indicator). I found out that "00" does not contain "00" if ntpd (4.2.6p5) restarted. So to me it seems "00" in control messages still is the leap indicator. Compare page 50 to page 54. I'll attach the two pages as PDF for convenience.

Can anybody confirm? Or is it a bug in the implementation. I found out because my own program to query ntpd flagged a "bad packet" after ntpd was restarted.

Regards,
Ulrich

_______________________________________________
ntpwg mailing list
[email-masked]
http://lists.ntp.org/listinfo/ntpwg